/*   %Z%%M%  %I%  %W% %G% %U%
 *
 *   (C) COPYRIGHT International Business Machines Corp. 1999
 *   All Rights Reserved
 *   Licensed Materials - Property of IBM
 *   US Government Users Restricted Rights - Use, duplication or
 *   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

#ifndef _KINGAPI_H
#define _KINGAPI_H

#define KING_PARAM_THINK	3
#define KING_PARAM_STYLE	6
#define KING_PARAM_PUNCT	7
#define KING_PARAM_NUM		8
#define KING_PARAM_UNITCONV	13
#define KING_PARAM_KANJI	256

/* KING_PARAM_THINK */
#define KING_THINK_WORDONLY	0
#define KING_THINK_SHALLOW	1
#define KING_THINK_DEFAULT	2
#define KING_THINK_NORMAL	3
#define KING_THINK_DEEP		4

/* KING_PARAM_STYLE */
#define KING_STYLE_FORMAL 	0x0001
#define KING_STYLE_NORMAL 	0x0002
#define KING_STYLE_CHILDISH 	0x0004
#define KING_STYLE_EDISH 	0x0008
#define KING_STYLE_DOGGY	0x0010
#define KING_STYLE_CATTY	0x0020
#define KING_STYLE_KINGS	0x0040
#define KING_STYLE_QUEENS	0x0080
#define KING_STYLE_GALS		0x0100

/* KING_PARAM_PUNCT */
#define KING_PUNCT_JPN		0x00010000
#define KING_PUNCT_ENG		0x00020000

/* KING_PARAM_NUM */
#define	KING_NUM_ZENKAKU 	0x00040000
#define KING_NUM_HANKAKU 	0x00080000

/* KING_PARAM_UNITCONV */
#define	KING_UNITCONV_ON 	1
#define KING_UNITCONV_OFF 	0

/* KING_PARAM_KANJI */
#define KING_KANJI_JIS 		1
#define	KING_KANJI_SJIS		2
#define KING_KANJI_EUC 		3


#ifdef __cplusplus
extern "C" {
#endif

extern char* KingGetLastError(void);
extern void* KingInit (const char* dictpath, char** groups);
extern void KingTranslateText ( void* id, const char* data, int datasize, char** retdata, int* retsize);
extern void KingTranslateHtml ( void* id, const char* data, int datasize, char** retdata, int* retsize, int style);
extern void KingSetParam(void* id, int param, int val);
extern void KingExit ( void* id);

extern int KingAddUserDict (const char *dictpath, const char* csvfile, const char* usrdict, char** errlog);

#ifdef __cplusplus
}
#endif

#endif /* _KINGAPI_H */
