/*   %Z%%M%  %I%  %W% %G% %U%
 *
 *   (C) COPYRIGHT International Business Machines Corp. 1999
 *   All Rights Reserved
 *   Licensed Materials - Property of IBM
 *   US Government Users Restricted Rights - Use, duplication or
 *   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

#ifndef _TRANSENV_H
#define _TRANSENV_H

#define SYSTEM_CONFIG_FILE	"/usr/local/lib/king/system.kingrc"
#define USER_CONFIG_FILE	"~/.kingrc"

struct TransEnv {
    char* SystemDictDirectory;
    char* Dictionaries;
    char* OutputStyle;
    char* ParamThink;
    char* ParamStyle;
    char* ParamPunct;
    char* ParamNum;
    char* ParamUnitConv;
    char* ParamKanji;
    char* HttpProxyHost;
    char* HttpProxyPort;

    TransEnv(void) {
	SystemDictDirectory = NULL;
	Dictionaries = NULL;
	OutputStyle = NULL;
	ParamThink = NULL;
	ParamStyle = NULL;
	ParamPunct = NULL;
	ParamNum = NULL;
	ParamUnitConv = NULL;
	ParamKanji = NULL;
	HttpProxyHost = NULL;
	HttpProxyPort = NULL;
    }

    ~TransEnv (void) {
	delete[] SystemDictDirectory;
	delete[] Dictionaries;
	delete[] OutputStyle;
	delete[] ParamThink;
	delete[] ParamStyle;
	delete[] ParamPunct;
	delete[] ParamNum;
	delete[] ParamUnitConv;
	delete[] ParamKanji;
	delete[] HttpProxyHost;
	delete[] HttpProxyPort;
    }
};

char* expand_file_name(const char* path);
char* expand_file_names(const char* path_list);
int read_kingrc(const char* file, TransEnv* env);

#endif /* _TRANSENV_H */
